/* replacement for inet_ntop
 * Nicolai Krakowiak <nkrakowi@engin.umich.edu>
 * $Id: inet_ntop.c,v 1.3 2001/10/21 04:32:44 beriksen Exp $
 */

#if !defined(HAVE_INET_NTOP)
#include <arpa/inet.h>
#include <sys/socket.h>
#include <stdio.h>

const char *inet_ntop( int family, const void *addr, char *str, size_t len )
{
	char *s;

	if( family != AF_INET )
		return NULL;

	s = inet_ntoa(((struct in_addr *)addr)[0]);
	strlcpy(str, s, len);

	return(str);
}
#endif
